/*
   GWL.cs
   Created by Randall Maas, Saturday January 31 2009
   Portions from pinvoke.net
   Copyright (c) 2009, Randall Maas
   All rights reserved.

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions are met:

   Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.

   Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

   Neither the name of Blackwood Designs, LLC nor the names of its contributors
   may be used to endorse or promote products derived from this software without
   specific prior written permission.

   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
   ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
   THE POSSIBILITY OF SUCH DAMAGE.
*/

using System ;

enum GWL : int
{
   /// <summary>
   /// Retrieves the address of the window procedure, or a handle representing
   /// the address of the window procedure. You must use the CallWindowProc
   /// function to call the window procedure.
   /// </summary>
   WNDPROC = -4,

   /// <summary>
   /// Retrieves the user data associated with the window. This data is intended
   /// for use by the application that created the window. Its value is initially
   /// zero.
   /// </summary>
   USERDATA = -21,

   /// <summary>
   /// Retrieves the identifier of the window.
   /// </summary>
   ID = -12,

   // Flag for value to be retrieved by GetWindowLong
   /// <summary>
   /// Retrieves the window style flags
   /// </summary>
   /// <remarks>
   /// Don't use WS_VISIBLE -- use IsVisible()
   /// </remarks>
   STYLE = -16,

   /// <summary>
   /// Retrieves the extended window styles. For more information, see CreateWindowEx. 
   /// </summary>
   EXSTYLE = -20,


   /// <summary>
   /// Retrieves a handle to the application instance.
   /// </summary>
   HINSTANCE = -6,

   /// <summary>
   /// Retrieves a handle to the parent window, if any.
   /// </summary>
   HWNDPARENT = -8
}
