/*
   HWND.cs
   Created by Randall Maas, Saturday January 31 2009
   Portions from pinvoke.net
   Copyright (c) 2009, Randall Maas
   All rights reserved.

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions are met:

   Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.

   Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

   Neither the name of Blackwood Designs, LLC nor the names of its contributors
   may be used to endorse or promote products derived from this software without
   specific prior written permission.

   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
   ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
   THE POSSIBILITY OF SUCH DAMAGE.
*/

using System ;
using System . Runtime . InteropServices;

// Note: These are variables since the are IntPtrs, which can't be constants or enums

public static partial class Win32
{
   /// <summary>
   /// the message is sent to all top-level windows in the system
   /// </summary>
   static IntPtr HWND_BROADCAST = new IntPtr(0xffff);

   /// <summary>
   /// The message is sent to one top-level window in the system.
   /// Places the window above all non-topmost windows. The window maintains
   /// its topmost position even when it is deactivated.
   /// </summary>
   internal static IntPtr HWND_TOPMOST   = new IntPtr(-1);

   /// <summary>
   /// Places the window at the top of the Z order.
   /// </summary>
   internal static IntPtr HWND_TOP = IntPtr . Zero;

   /// <summary>
   /// Places the window above all non-topmost windows (behind all topmost windows).
   /// </summary>
   static IntPtr HWND_NOTOPMOST  = new IntPtr(-2);

   /// <summary>
   /// Places the window at the bottom of the Z order.
   /// If the hWnd parameter identifies a topmost window, the window loses its
   /// opmost status and is placed at the bottom of all other windows.
   /// </summary>
//   static IntPtr HWND_BOTTOM     = new IntPtr(1);        //limited use
   const int HWND_BOTTOM = 0x1;
}

